#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

pthread_win32_getabstime_np

## Synopsis

#include <pthread.h>

struct timespec * pthread_win32_getabstime_np (struct timespec * abstime, struct timespec * reltime);

## Description

Primarily to facilitate writing unit tests but exported for convenience. The struct timespec pointed to by the first parameter is modified to represent the current time plus an optional offset value struct timespec in a platform optimal way.

Returns the first parameter so is compatible as the struct timespec * parameter in POSIX timed function calls.

## Cancellation

None.

## Return Value

This routine returns the first parameter (non-zero) on success, or NULL (0) if it fails.

## Errors

None.

## Author

Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Cancellation

- Return Value

- Errors

- Author